Mail archive
alpine-aports

[alpine-aports] [PATCH 2/6] testing/py-affine: new aport

From: Trevor R.H. Clarke <trevor_at_notcows.com>
Date: Sun, 28 Feb 2016 20:54:49 -0500

https://github.com/sgillies/affine
Matrices describing affine transformation of the plane.
---
 testing/py-affine/APKBUILD | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)
 create mode 100644 testing/py-affine/APKBUILD
diff --git a/testing/py-affine/APKBUILD b/testing/py-affine/APKBUILD
new file mode 100644
index 0000000..14969ba
--- /dev/null
+++ b/testing/py-affine/APKBUILD
_at_@ -0,0 +1,36 @@
+# Contributor: Trevor R.H. Clarke <trevor_at_notcows.com>
+# Maintainer: Trevor R.H. Clarke <trevor_at_notcows.com>
+pkgname=py-affine
+pkgver="1.2.0"
+pkgrel=0
+pkgdesc="Matrices describing affine transformation of the plane."
+url="https://github.com/sgillies/affine"
+arch="all"
+license="MIT"
+depends="python"
+makedepends="python-dev py-pip"
+install=""
+subpackages=""
+source=""
+
+_builddir="$srcdir"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	pip install affine --no-deps --root "$_builddir"
+}
+
+package() {
+	cd "$_builddir"
+        mkdir -p "$pkgdir"
+        cp -r usr "$pkgdir/"
+}
-- 
2.4.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Feb 28 2016 - 20:54:49 GMT